Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.actions.SearchIndexConfig Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| SearchIndexConfig ()
| Constructor.
| SearchIndexConfig (string name, bool is_available, string path, bool is_selected)
| Constructor, with parameters. More...
| SearchIndexConfig (SearchIndexConfig search_index_config)
| Constructor, with another search index config object. More...
void | Set (string name, bool is_available, string path, bool is_selected)
| Set values. More...

## Properties
bool | is_available`[get, set]`
| Specifies whether the serch index is available for selection and searching. true means the index is available, while false means not.
bool | is_selected`[get, set]`
| Specifies whether the search index participates in the search. true means the index is searched as part of the query, while false means it is not searched.
string | name`[get, set]`
| The name of search index.
string | path`[get, set]`
| The path of the search index.

## Detailed Description

This class represents search index config.

## Constructor & Destructor Documentation

## ◆ SearchIndexConfig() [1/2]

foxit.pdf.actions.SearchIndexConfig.SearchIndexConfig | ( | string | name,
|  | bool | is_available,
|  | string | path,
|  | bool | is_selected
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | name | The name of search index.
  [in] | is_available | Specifies whether the serch index is available for selection and searching.
  [in] | path | The path of the search index.
  [in] | is_selected | Specifies whether the search index participates in the search.

## ◆ SearchIndexConfig() [2/2]

foxit.pdf.actions.SearchIndexConfig.SearchIndexConfig | ( | SearchIndexConfig | search_index_config | ) |
| inline

Constructor, with another search index config object.

Parameters

  [in] | search_index_config | Another search index config object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.actions.SearchIndexConfig.Set | ( | string | name,
|  | bool | is_available,
|  | string | path,
|  | bool | is_selected
| ) |  |
| inline

Set values.

Parameters

  [in] | name | The name of search index.
  [in] | is_available | Specifies whether the serch index is available for selection and searching.
  [in] | path | The path of the search index.
  [in] | is_selected | Specifies whether the search index participates in the search.

Returns
  None.